%define oname imagewriter

Name:		usb-imagewriter
Summary:	A GUI tool to write .img files to USB Keys
Version:	0.1.3
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Configuration
URL:		https://launchpad.net/usb-imagewriter
Source0:	https://launchpad.net/usb-imagewriter/trunk/0.1/+download/usb-imagewriter-0.1.3.tar.gz
Source1:	imagewriter.png
# from Ubuntu: http://bazaar.launchpad.net/~ogra/usb-imagewriter/trunk/revision/20
Patch0:		usb-imagewriter-0.1.3-udisks1.patch
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	usermode-consoleonly
Requires:	coreutils
Requires:	udisks
Requires:	procps
Requires:	python
Requires:	xterm


%description
A GUI tool to write .img files to USB Keys.

%files
%{_sbindir}/%{oname}
%{_bindir}/%{oname}
%{_usr}/lib/%{oname}/
%{_datadir}/%{oname}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%{_miconsdir}/*
%{_iconsdir}/*
%{_liconsdir}/*

#--------------------------------------------------------------------
%prep
%setup -q
%patch0 -p0

%build
%setup_compile_flags

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_usr}/lib/%{oname}
mkdir -p %{buildroot}%{_datadir}/%{oname}
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES

%__install -m 755 imagewriter %{buildroot}%{_sbindir}/%{oname}
%__install -m 644 share/%{name}/%{oname}.glade %{buildroot}%{_datadir}/%{oname}/%{oname}.glade
%__install -m 644 share/%{name}/header.png %{buildroot}%{_datadir}/%{oname}/header.png

# LIBFILES imagewriter.py find_devices
%__install -m 755 lib/find_devices %{buildroot}%{_usr}/lib/%{oname}/find_devices
%__install -m 755 lib/%{oname}.py %{buildroot}%{_usr}/lib/%{oname}/%{oname}.py

# usb-imagewriter.mo
%__install -m 644 po/de/LC_MESSAGES/%{name}.mo %{buildroot}/%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=A GUI tool to write .img files to USB Keys
Comment[de]=Ein Programm zum scheiben von *.img Dateien auf USB-Sicks
Comment[pt]=Um Programa para gravar ficheiros *.img em dispositivos USB
Type=Application
Terminal=false
Icon=imagewriter.png
Exec=%{_bindir}/%{oname}
Categories=System;
EOF

mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert %{SOURCE1} -geometry 16x16 %{buildroot}/%{_miconsdir}/%{oname}.png
convert %{SOURCE1} -geometry 32x32 %{buildroot}/%{_iconsdir}/%{oname}.png
convert %{SOURCE1} -geometry 48x48 %{buildroot}/%{_liconsdir}/%{oname}.png

# Adjust for console-helper magic
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{oname}
popd




%changelog

* Wed Jan 23 2013 fwang <fwang> 0.1.3-4.mga3
+ Revision: 391558
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.1.3-3.mga3
+ Revision: 385144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 blino <blino> 0.1.3-2.mga3
+ Revision: 297163
- use udisks1 (Ubuntu patch) instead of hal

* Wed Jun 20 2012 shlomif <shlomif> 0.1.3-1.mga3
+ Revision: 262317
- Add a missing BuildRequires. Thanks to simplew
- Imported from simplew

